Package com.orchestranetworks.dataservices.rest

# Enum Class CategoryVersion

java.lang.Object
java.lang.Enum<CategoryVersion>
com.orchestranetworks.dataservices.rest.CategoryVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<CategoryVersion>`, `Constable`

public enum CategoryVersion extends Enum<CategoryVersion>
This enumeration provides built-in EBX® category version services. See Operation category for information.

Since:
  5.9.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATA_BO_COMPACT_V1`
  Data-compact business object category version 1.
  `DATA_BO_V1`
  Data Business Object category version 1.
  `DATA_COMPACT_V1`
  Data-compact category version 1.
  `DATA_V1`
  Data category version 1.
  `FORM_DATA_COMPACT_V1`
  form-Data category version 1.
  `FORM_DATA_V1`
  form-Data category version 1.
  `HISTORY_V1`
  History category version 1.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CategoryURIBuilder<?>`
  `getCategoryUriBuilder(CategoryVersion aCategoryVersion)`
  `static CategoryVersion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CategoryVersion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DATA_V1

    public static final CategoryVersion DATA_V1
    Data category version 1.

  - ### DATA_BO_V1

    public static final CategoryVersion DATA_BO_V1
    Data Business Object category version 1.
    Since:
      6.1.3

  - ### DATA_COMPACT_V1

    public static final CategoryVersion DATA_COMPACT_V1
    Data-compact category version 1.

  - ### DATA_BO_COMPACT_V1

    public static final CategoryVersion DATA_BO_COMPACT_V1
    Data-compact business object category version 1.
    Since:
      6.1.3

  - ### FORM_DATA_V1

    public static final CategoryVersion FORM_DATA_V1
    form-Data category version 1.

  - ### FORM_DATA_COMPACT_V1

    public static final CategoryVersion FORM_DATA_COMPACT_V1
    form-Data category version 1.

  - ### HISTORY_V1

    public static final CategoryVersion HISTORY_V1
    History category version 1.

- ## Method Details

  - ### values

    public static CategoryVersion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CategoryVersion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCategoryUriBuilder

    public static CategoryURIBuilder<?> getCategoryUriBuilder(CategoryVersion aCategoryVersion)